%define name muinescrobbler
%define version 0.1.8
%define release %mkrel 3
%define plugindir %_prefix/lib/muine/plugins

Summary: Audioscrobbler plugin for Muine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.gna.org/muinescrobbler/%{name}-%{version}.tar.bz2
Patch: muinescrobbler-new-mono.patch.bz2
License: GPL
Group: Sound
Url: http://home.gna.org/muinescrobbler/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: muine
Requires: muine

%description
This adds support for Audioscrobbler to the Muine player:
http://www.audioscrobbler.com

%prep
%setup -q -n %name
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%plugindir
install -m 644 AudioscrobblerPlugin.dll %buildroot%plugindir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS
%plugindir/AudioscrobblerPlugin.dll


%changelog
* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 0.1.8-3mdv2008.0
+ Revision: 57396
- Import muinescrobbler



* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 0.1.8-1mdv2007.0
- Rebuild

* Tue Mar 21 2006 Gtz Waschk <waschk@mandriva.org> 0.1.8-2mdk
- fix build with new mono

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 0.1.8-1mdk
- fix URL
- New release 0.1.8

* Wed Aug 31 2005 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdk
- New release 0.1.7

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.1.6-2mdk
- rebuild for new gtk-sharp2

* Mon Aug 01 2005 Gtz Waschk <waschk@mandriva.org> 0.1.6-1mdk
- New release 0.1.6

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.1.5-2mdk
- make it noarch

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.1.5-1mdk
- initial package
